% Programme de balayage de l'angle beta

global H jour periode_orbitale inclinaison rayon_orbital vitesse_rotation Pmax ang temps_eclipse
global P_opt_fix beta_fix

temps_eclipse=Teclipse( jour);

puissance=[];balayage_beta=[];P_opt=0;angle_opt=0;

for angle_beta=0:5:360;
   
   balayage_beta=[balayage_beta angle_beta];
   puissance_beta=Beta_opt(angle_beta*pi/180);
   if puissance_beta<=0
     puissance_beta=0;
   end
   puissance=[puissance puissance_beta];

   if puissance_beta>=P_opt
     P_opt=puissance_beta;
     beta_opt=angle_beta;
   end

end

P_opt_fix=P_opt;
beta_fix=beta_opt*pi/180;                % Valeur en rd qui servira  la simulation survfix1.m


% ****************  Courbe et annotations  *****************
plot(balayage_beta,puissance);grid;figure(gcf);
title(['Puissance, du jour ' num2str(jour) ' fonction de l''angle beta ()']);
xlabel('Angle d''orientation en degrs');
ylabel('Puissance en Watts');
text(25,11,['Angle optimal= ' num2str(beta_opt) ' ']);
text(25,9,['Puissance optimale= ' num2str(P_opt) ' W']);

% **********************************************************

end